	component QSYS is
		port (
			adc_conduit_end_CONVST         : out std_logic;                                       -- CONVST
			adc_conduit_end_SCK            : out std_logic;                                       -- SCK
			adc_conduit_end_SDI            : out std_logic;                                       -- SDI
			adc_conduit_end_SDO            : in  std_logic                    := 'X';             -- SDO
			clk_clk                        : in  std_logic                    := 'X';             -- clk
			key_external_connection_export : in  std_logic_vector(3 downto 0) := (others => 'X'); -- export
			led_external_connection_export : out std_logic_vector(7 downto 0);                    -- export
			reset_reset_n                  : in  std_logic                    := 'X';             -- reset_n
			sw_external_connection_export  : in  std_logic_vector(9 downto 0) := (others => 'X'); -- export
			tft_cd_export                  : out std_logic;                                       -- export
			tft_spi_MISO                   : in  std_logic                    := 'X';             -- MISO
			tft_spi_MOSI                   : out std_logic;                                       -- MOSI
			tft_spi_SCLK                   : out std_logic;                                       -- SCLK
			tft_spi_SS_n                   : out std_logic;                                       -- SS_n
			pll_locked_export              : out std_logic                                        -- export
		);
	end component QSYS;

	u0 : component QSYS
		port map (
			adc_conduit_end_CONVST         => CONNECTED_TO_adc_conduit_end_CONVST,         --         adc_conduit_end.CONVST
			adc_conduit_end_SCK            => CONNECTED_TO_adc_conduit_end_SCK,            --                        .SCK
			adc_conduit_end_SDI            => CONNECTED_TO_adc_conduit_end_SDI,            --                        .SDI
			adc_conduit_end_SDO            => CONNECTED_TO_adc_conduit_end_SDO,            --                        .SDO
			clk_clk                        => CONNECTED_TO_clk_clk,                        --                     clk.clk
			key_external_connection_export => CONNECTED_TO_key_external_connection_export, -- key_external_connection.export
			led_external_connection_export => CONNECTED_TO_led_external_connection_export, -- led_external_connection.export
			reset_reset_n                  => CONNECTED_TO_reset_reset_n,                  --                   reset.reset_n
			sw_external_connection_export  => CONNECTED_TO_sw_external_connection_export,  --  sw_external_connection.export
			tft_cd_export                  => CONNECTED_TO_tft_cd_export,                  --                  tft_cd.export
			tft_spi_MISO                   => CONNECTED_TO_tft_spi_MISO,                   --                 tft_spi.MISO
			tft_spi_MOSI                   => CONNECTED_TO_tft_spi_MOSI,                   --                        .MOSI
			tft_spi_SCLK                   => CONNECTED_TO_tft_spi_SCLK,                   --                        .SCLK
			tft_spi_SS_n                   => CONNECTED_TO_tft_spi_SS_n,                   --                        .SS_n
			pll_locked_export              => CONNECTED_TO_pll_locked_export               --              pll_locked.export
		);

